package com.huimv.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.EnergyGas;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.admin.entity.vo.EnergyDataVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-02-14
 */
@Repository
public interface EnergyGasMapper extends BaseMapper<EnergyGas> {

    List<EnergyDataVo> listYear(@Param(Constants.WRAPPER) QueryWrapper<EnergyGas> queryWrapper);
}
